/* eslint-disable unicorn/no-await-expression-member */
import { get } from '#/api/http'

import { BasicService } from '../basic'

class SubjectService extends BasicService {
  async list() {
    return await get<any>('/subject/list')
  }

  async listChannelTypes(stagePid: any, subjectId: any) {
    return (
      (
        await get<any>('/subjectStageChannelType/list', {
          stagePid,
          subjectId,
          size: -1,
        })
      )?.rows || []
    )
  }

  protected findPageUrl(): string {
    return ''
  }

  protected removeUrl(): string {
    return ''
  }

  protected saveOrUpdateUrl(): string {
    return ''
  }
}

export const subjectService = new SubjectService()
